# Class MEAdoptiumConfiguration.Builder

java.lang.Object
com.io7m.montarre.adoptium.MEAdoptiumConfiguration.Builder

Enclosing class:
  `MEAdoptiumConfiguration`

public static final class MEAdoptiumConfiguration.Builder extends Object
Builds instances of type `MEAdoptiumConfiguration`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MEAdoptiumConfiguration`
  `build()`
  Builds a new `MEAdoptiumConfiguration`.
  `final MEAdoptiumConfiguration.Builder`
  `from(MEAdoptiumConfigurationType instance)`
  Fill a builder with attribute values from the provided `MEAdoptiumConfigurationType` instance.
  `final MEAdoptiumConfiguration.Builder`
  `setBaseURI(URI baseURI)`
  Initializes the value for the `baseURI` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final MEAdoptiumConfiguration.Builder from(MEAdoptiumConfigurationType instance)
    Fill a builder with attribute values from the provided `MEAdoptiumConfigurationType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setBaseURI

    public final MEAdoptiumConfiguration.Builder setBaseURI(URI baseURI)
    Initializes the value for the `baseURI` attribute.

    If not set, this attribute will have a default value as returned by the initializer of `baseURI`.

    Parameters:
      `baseURI` - The value for baseURI
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public MEAdoptiumConfiguration build()
    Builds a new `MEAdoptiumConfiguration`.
    Returns:
      An immutable instance of MEAdoptiumConfiguration
    Throws:
      `IllegalStateException` - if any required attributes are missing